﻿package flash
{
	import flash.display.MovieClip;
	import flash.utils.Dictionary;
	public dynamic class Main extends MovieClip
	{
		private const _apiName:String = "Guide";
		private const _otherAPI:String = "Hitchhiker";
		private const _secret:int = 1234;
		private var _apiDict:Dictionary = new Dictionary();

		public var loader;

		public function initl(l) : void
		{
			_apiDict["secret"] = getSecret;
			_apiDict["apiRegister"] = detectAPI;
			l.registerAPI(_apiName, _apiDict, false);
			l.unloadMod();
		}
		private function get getSecret() : int
		{
			return _secret;
		}
		private function detectAPI(apiName:String, apiDict:Dictionary) : void
		{
			if(apiName == _otherAPI)
				attemptModComms();
		}
		public function apiNotify() : void
		{
			attemptModComms();
		}
		private function attemptModComms() : void
		{
			var otherAPI:Dictionary = null;
			if((otherAPI = loader.getAPI(_otherAPI)) == null) return;
			loader.traceDebug(_apiName + " got " + otherAPI["secret"]);
		}
	}
}